/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jaxb;

import java.io.File;
import java.util.ArrayList;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;

/**
 *
 * @author dienert
 */
public class Jaxb {

    private static final String datei = "/tmp/buch.xml";

    public Jaxb() {
        Buch buchobjekt;

        buchobjekt = new Buch();

        buchobjekt.setAutor("Michael Kay");
        buchobjekt.setTitel("XSLT 2.0 and XPath 2.0");
        buchobjekt.setVerlach("wrox");
        buchobjekt.setIsbn("978-0-470-19274-0");
        
        Buch bo = new Buch();
        bo.setAutor("David Foster Wallace");
        bo.setTitel("Unendlicher Spass");
        bo.setVerlach("Kiepenheuer&Witsch");
        bo.setIsbn("978-3-462-04112-5");
        
        ArrayList<Buch> liste = new ArrayList();
        liste.add(buchobjekt);
        liste.add(bo);
        
        Regal regal = new Regal();
        regal.setBuecher(liste);
        
        try {

            JAXBContext context
                    = JAXBContext.newInstance(Regal.class);
            Marshaller m = context.createMarshaller();
            m.setProperty(
                    Marshaller.JAXB_FORMATTED_OUTPUT, true);

            m.marshal(regal, System.out);
            m.marshal(regal, new File(datei));

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Jaxb();
    }

}
